import React from 'react';
import { SpringConfig } from 'react-spring';
declare type SliderProps = {
    children: React.ReactNode[];
    index: number;
    onIndexChange: (newIndex: number) => void;
    className?: string;
    style?: React.CSSProperties;
    rootStyle?: React.CSSProperties;
    slideStyle?: React.CSSProperties | ((index: number) => React.CSSProperties);
    indexRange?: [number, number];
    onDragStart?: (pressedIndex: number) => void;
    onDragEnd?: (pressedIndex: number) => void;
    onTap?: (pressedIndex: number) => void;
} & typeof defaultProps;
declare const defaultProps: {
    enabled: boolean;
    vertical: boolean;
    slideAlign: string;
    draggedScale: number;
    draggedSpring: SpringConfig;
    trailingSpring: SpringConfig;
    releaseSpring: SpringConfig;
    trailingDelay: number;
};
export declare const Slider: {
    ({ children, index, onIndexChange, className, style, rootStyle, slideStyle, enabled, vertical, indexRange, slideAlign, draggedScale, draggedSpring, releaseSpring, trailingSpring, trailingDelay, onDragStart, onDragEnd, onTap }: SliderProps): JSX.Element;
    defaultProps: {
        enabled: boolean;
        vertical: boolean;
        slideAlign: string;
        draggedScale: number;
        draggedSpring: SpringConfig;
        trailingSpring: SpringConfig;
        releaseSpring: SpringConfig;
        trailingDelay: number;
    };
};
export {};
